### Class

# Gom Repository

#### Description

    class Gom.Repository : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### gom_repository_new

No description available.

#### Instance methods

###### gom_repository_automatic_migrate_async

Performs an automatic migration on the underlying database. See `gom_repository_automatic_migrate_sync()` for details.

###### gom_repository_automatic_migrate_finish

No description available.

###### gom_repository_automatic_migrate_sync

Performs an automatic migration on the underlying database. For each of the `GType` passed in `object_types`, the table will be created if necessary, and each of the columns corresponding to properties will be added if needed.

###### gom_repository_find_async

No description available.

###### gom_repository_find_finish

Completes an asynchronous request to fetch a group of resources.

###### gom_repository_find_one_async

No description available.

###### gom_repository_find_one_finish

Completes an asynchronous request to find a single resource in the repository. See `gom_repository_find_one_async()` for more info.

###### gom_repository_find_one_sync

Synchronous version of gom_repository_find_async().

###### gom_repository_find_sorted_async

No description available.

###### gom_repository_find_sorted_sync

Synchronously queries the `GomRepository` for objects matching the requested query. This must only be run from a callback provided to gom_adapter_queue_read().

###### gom_repository_find_sync

Synchronously queries the `GomRepository` for objects matching the requested query. This must only be run from a callback provided to gom_adapter_queue_read().

###### gom_repository_get_adapter

Fetches the underlying adapter.

###### gom_repository_migrate_async

Asynchronously performs a migration on the underlying database. This will call `migrator` from the SQLite thread for each migration to perform.

###### gom_repository_migrate_finish

No description available.

###### gom_repository_migrate_sync

Performs a migration on the underlying database. This will call `migrator` from the SQLite thread for each migration to perform.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gom.Repository:adapter

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomRepositoryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.